<script src="https://cdn.freecodecamp.org/testable-projects-fcc/v1/bundle.js"></script>

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Linux_Intro</title>
    <meta http-equiv="keywords" content="GNU, Linux, OS, Operating System, Free Software" >
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.12.1/css/all.css" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Libre+Baskerville:wght@700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="style.css"
</head>

<body>
    <nav id="nav-bar"
        <header class="header" id="header">
            <a href="#" class="logo">
                <img alt="gnu and linux logos" id="header-img" src="https://upload.wikimedia.org/wikipedia/commons/e/ee/GNU%2BLinux.png">
            </a>
            <input class="menu-btn" type="checkbox" id="menu-btn" />
            <label class="menu-icon" for="menu-btn"><span class="navicon"></span></label>
            <ul class="menu">
                <li><a class="nav-link" href="#about">About</a></li>
                <li><a class="nav-link" href="#distros">Distros</a></li>
                <li><a class="nav-link" href="#video">Video</a></li>
            </ul>
        </header>
    </nav>
    <div id=about>
        <h1>Linux</h1>
        <div id="boxes">
            <div class="box">Software Freedom!</div>
            <div class="box">Fully Configurable!</div>
            <div class="box">It's Open Source!</div>
        </div>
        <p> 
            Linux is modelled on the Unix operating system. In contrast to other operating systems, nobody owns Linux. Development of what later became GNU/Linux began in 1984, when the Free Software Foundation began development of a free Unix-like operating system called GNU. The most important part of an operating system is the kernel. In a GNU/Linux system, Linux is the kernel component. The rest of the system consists of other programs, many of which were written by or for the GNU Project. 
        <br>
        The Linux kernel first appeared in 1991, when a Finnish computing science student named Linus Torvalds announced an early version of a replacement kernel for Minix to the Usenet newsgroup comp.os.minix. See <a href="http://www.cs.cmu.edu/~awb/linux.history.html">Linux International's Linux History Page</a>.
        </p>
    </div>
    <div id="distros">
        <h2>Distributions</h2>
        <p class="distro-intro">
        A Linux distribution (often abbreviated as distro) is an operating system made from a software collection that is based upon the Linux kernel and, often, a package management system. A few notable Linux distributions are:
        <div class="distro-section">
            <img class="distro-logo" alt="ubuntu logo" src="http://icons.iconarchive.com/icons/papirus-team/papirus-apps/256/distributor-logo-ubuntu-icon.png">
            <p>
            Ubuntu is a versatile distribution which is suitable as an entry point for those trying Linux for the first time, but is also used by advanced users. It's more configured "out of the box" when compared to a distro like Debian. Ubuntu is commercially-backed by Canonical Ltd., a UK based company. Ubuntu is officially released in three editions: Desktop, Server, and Core for Internet of things devices and robots. All the editions can run on the computer alone, or in a virtual machine. Ubuntu is a popular operating system for cloud computing, with support for OpenStack. Ubuntu's default desktop has been GNOME, since version 17.10. 
            </p>
        </div> 
        <div class="distro-section">
            <img class="distro-logo" alt="debian logo" src="https://wiki.debian.org/DebianArt/Themes/debian-ciel?action=AttachFile&do=get&target=ciel-debian-menu-logo.png">
            <p>
            Debian, also known as Debian GNU/Linux, is a Linux distribution composed of free and open-source software, developed by the community-supported Debian Project, which was established by Ian Murdock on August 16, 1993. Debian is one of the oldest operating systems based on the Linux kernel. The project is coordinated over the Internet by a team of volunteers guided by the Debian Project Leader and three foundational documents: the Debian Social Contract, the Debian Constitution, and the Debian Free Software Guidelines.
            </p>
        </div>
        <div class="distro-section">
            <img class="distro-logo" alt="mx logo" src="https://upload.wikimedia.org/wikipedia/commons/thumb/2/23/MX_Linux_Logo.png/220px-MX_Linux_Logo.png">
            <p>
            MX Linux is a midweight Linux operating system based on Debian stable and using core antiX components, with additional software created or packaged by the MX community. It is developed as a cooperative venture between the antiX and former MEPIS communities to use the best tools and talents from each of these distributions. It includes MX Tools, a suite of user-oriented utilities, many of which were developed specifically for MX, while some were forked from existing antiX applications or are existing antiX applications; a couple were imported with permission from outside sources. A particularly popular one is MX-snapshot, a GUI tool to remaster a live session or installation into a single .ISO file.  
            </p>
        </div>
    </div>
    <div class="vid-embed">
        <h2 class="embed-heading">Is Linux Hard?</h2>
        <iframe id="video"
        src="https://share.tube/videos/embed/84413423-4877-4de4-8257-173d13d9ac7f" allowfullscreen="allowfullscreen">
        </iframe>
    </div>
    <footer>
        <h2>Have questions? Get in touch!</h2>
        <form id="form" action="https://www.freecodecamp.com/email-submit">
            <label id="name-label" for="name">Name</label>
            <input type="text" id="name" placeholder="name" required>
            <label id="email-label" for="email">Email</label>
            <input type="email" id="email" placeholder="email" name="email" required>
            <input id="submit" type="submit">
        </form>
    </footer>
    <script src="https://cdn.freecodecamp.org/testable-projects-fcc/v1/bundle.js"></script>
</body>
